1. APIs
OpenAPI space
  • APIs
    • Retrieves a list of currently defined APIs in API meta list format.
      GET
    • Retrieves an API meta listing of all APIs defined for this owner
      GET
    • Deletes the specified API
      DELETE
    • Retrieves an API meta listing for all API versions for this owner and API
      GET
    • Saves the provided Swagger definition
      POST
    • Deletes a particular version of the specified API
      DELETE
    • Publish a particular version of the specified API
      POST
    • Retrieves the Swagger definition for the specified API and version in JSON format
      GET
    • Retrieves the Swagger definition for the specified API and version in YAML format
      GET
  • Auth
    • Log in to OpenAPI space
      POST
    • Log in to OpenAPI space using an APInf account
      POST
    • Log in to OpenAPI space using an APInf authentication token
      POST
    • Log out from OpenAPI space
      POST
    • Check whether or not you are authenticated
      POST
    • Register to OpenAPI space
      POST
  • Schemas
    • Schemas
      • APIMeta
      • APIMetaList
      • Credentials
      • LoginToken
      • Registration
  1. APIs

Saves the provided Swagger definition

POST
/apis/{owner}/{api}
Saves the provided Swagger definition; the owner must match the token owner. The version will be extracted from the Swagger definitions itself.

Request

Path Params

Query Params

Body Params application/json

Examples

Responses

🟢200the API was successfully saved
application/json
Bodyapplication/json

🟢201new API was successfully saved
🟠400the Swagger definition was invalid
🟠403the API is not owned by the user
🟠409can not overwrite a published API version without force=true
🟠415invalid content type
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://openapi.space/api/v1/apis//' \
--header 'Content-Type: application/json' \
--data '{}'
Response Response Example
200 - Example 1
{
    "created": "2019-08-24T14:15:22.123Z",
    "description": "string",
    "modified": "2019-08-24T14:15:22.123Z",
    "name": "string",
    "owner": "string",
    "swagger": {},
    "url": "string",
    "versions": [
        null
    ]
}
Modified at 2023-08-15 10:35:02
Previous
Retrieves an API meta listing for all API versions for this owner and API
Next
Deletes a particular version of the specified API
Built with